Summary:	Handle the administration of MySQL over the World Wide Web
Name:		phpMyAdmin53
Version:	2.11.11.3
Release:	2%{?dist}
License:	GPLv2+
Group:		Applications/Internet
URL:		http://www.phpmyadmin.net/
Source0:	http://downloads.sourceforge.net/sourceforge/phpMyAdmin/phpMyAdmin-%{version}-all-languages.tar.bz2
Source1:	phpMyAdmin-config.inc.php
Source2:	phpMyAdmin.htaccess
Patch0:		phpMyAdmin-2.11.9.6-blowfish.patch
Patch1:		phpMyAdmin-2.11.11.3-magic-quotes.patch
Requires:	webserver, php53 >= 4.1.0, php53-mysql >= 4.1.0, php53-mcrypt >= 4.1.0
Requires:	php53-mbstring >= 4.1.0, php53-gd >= 4.1.0
Provides:	phpmyadmin = %{version}-%{release}
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
phpMyAdmin is a tool written in PHP intended to handle the administration of
MySQL over the World Wide Web. Most frequently used operations are supported
by the user interface (managing databases, tables, fields, relations, indexes,
users, permissions), while you still have the ability to directly execute any
SQL statement.

%prep
%setup -q -n phpMyAdmin-%{version}-all-languages
%patch0 -p1
%patch1 -p1

# Setup several viewers
sed -e "/'ChangeLog'/s@ChangeLog@%{_datadir}/doc/%{name}-%{version}/ChangeLog@" -i changelog.php
sed -e "/'LICENSE'/s@LICENSE@%{_datadir}/doc/%{name}-%{version}/LICENSE@" -i license.php
sed -e "/'README'/s@README@%{_datadir}/doc/%{name}-%{version}/README@" -i readme.php

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_sysconfdir}/{httpd/conf.d,%{name}}}
cp -ad * $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/config.inc.php
ln -s ../../..%{_sysconfdir}/%{name}/config.inc.php $RPM_BUILD_ROOT%{_datadir}/%{name}/config.inc.php

rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/{[CIRLT]*,*txt,libraries/.htaccess}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README LICENSE CREDITS TODO Documentation.txt
%{_datadir}/%{name}/
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/config.inc.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf

%changelog
* Tue Jul 26 2011 Robert Scheck <robert@fedoraproject.org> 2.11.11.3-2
- Reworked spec file and enabled the documentation file viewers
- Backported patch for stripslashes with magic_quotes_gpc (#725123)

* Sun Feb 13 2011 Robert Scheck <robert@fedoraproject.org> 2.11.11.3-1
- Upstream released 2.11.11.3

* Thu Feb 10 2011 Robert Scheck <robert@fedoraproject.org> 2.11.11.2-1
- Upstream released 2.11.11.2

* Mon Nov 29 2010 Robert Scheck <robert@fedoraproject.org> 2.11.11.1-1
- Upstream released 2.11.11.1

* Fri Aug 20 2010 Robert Scheck <robert@fedoraproject.org> 2.11.10.1-1
- Upstream released 2.11.10.1 (#625877, #625878)

* Thu Jan 21 2010 Robert Scheck <robert@fedoraproject.org> 2.11.10-1
- Upstream released 2.11.10 (#557307)

* Mon Jan 04 2010 Robert Scheck <robert@fedoraproject.org> 2.11.9.6-3
- Require php-mcrypt for cookie authentication (#526979)

* Mon Jan 04 2010 Robert Scheck <robert@fedoraproject.org> 2.11.9.6-2
- Added missing blowfish secret entry in default config (#540871)
- Backported patch to hash blowfish secret for cookie auth (#540891)

* Tue Oct 13 2009 Robert Scheck <robert@fedoraproject.org> 2.11.9.6-1
- Upstream released 2.11.9.6 (#528769)

* Sun Sep 13 2009 Robert Scheck <robert@fedoraproject.org> 2.11.9.5-2
- Added ::1 for localhost/loopback access (for IPv6 users)

* Wed Mar 25 2009 Robert Scheck <robert@fedoraproject.org> 2.11.9.5-1
- Upstream released 2.11.9.5 (#492066)

* Thu Dec 11 2008 Robert Scheck <robert@fedoraproject.org> 2.11.9.4-1
- Upstream released 2.11.9.4 (#475954)

* Sat Nov 29 2008 Robert Scheck <robert@fedoraproject.org> 2.11.9.3-2
- Replaced LocationMatch with Directory directive (#469451)

* Thu Oct 30 2008 Robert Scheck <robert@fedoraproject.org> 2.11.9.3-1
- Upstream released 2.11.9.3 (#468974)

* Mon Sep 22 2008 Robert Scheck <robert@fedoraproject.org> 2.11.9.2-1
- Upstream released 2.11.9.2 (#463260)

* Tue Sep 16 2008 Robert Scheck <robert@fedoraproject.org> 2.11.9.1-1
- Upstream released 2.11.9.1 (#462430)

* Fri Aug 29 2008 Robert Scheck <robert@fedoraproject.org> 2.11.9-1
- Upstream released 2.11.9

* Mon Jul 28 2008 Robert Scheck <robert@fedoraproject.org> 2.11.8.1-1
- Upstream released 2.11.8.1 (#456637, #456950)

* Mon Jul 28 2008 Robert Scheck <robert@fedoraproject.org> 2.11.8-1
- Upstream released 2.11.8 (#456637)

* Tue Jul 15 2008 Robert Scheck <robert@fedoraproject.org> 2.11.7.1-1
- Upstream released 2.11.7.1 (#455520)

* Mon Jun 23 2008 Robert Scheck <robert@fedoraproject.org> 2.11.7-1
- Upstream released 2.11.7 (#452497)

* Tue Apr 29 2008 Robert Scheck <robert@fedoraproject.org> 2.11.6-1
- Upstream released 2.11.6

* Tue Apr 22 2008 Robert Scheck <robert@fedoraproject.org> 2.11.5.2-1
- Upstream released 2.11.5.2 (#443683)

* Sat Mar 29 2008 Robert Scheck <robert@fedoraproject.org> 2.11.5.1-1
- Upstream released 2.11.5.1

* Mon Mar 03 2008 Robert Scheck <robert@fedoraproject.org> 2.11.5-1
- Upstream released 2.11.5

* Sun Jan 13 2008 Robert Scheck <robert@fedoraproject.org> 2.11.4-1
- Upstream released 2.11.4
- Corrected mod_security example in configuration file (#427119)

* Sun Dec 09 2007 Robert Scheck <robert@fedoraproject.org> 2.11.3-1
- Upstream released 2.11.3
- Removed the RPM scriptlets doing httpd restarts (#227025)
- Patched an information disclosure known as CVE-2007-0095 (#221694)
- Provide virtual phpmyadmin package and a httpd alias (#231431)

* Wed Nov 21 2007 Robert Scheck <robert@fedoraproject.org> 2.11.2.2-1
- Upstream released 2.11.2.2 (#393771)

* Tue Nov 20 2007 Mike McGrath <mmcgrath@redhat.com> 2.11.2.1-1
- Upstream released new version

* Fri Oct 29 2007 Mike McGrath <mmcgrath@redhat.com> 2.11.2-1
* upstream released new version

* Mon Oct 22 2007 Mike McGrath <mmcgrath@redhat.com> 2.11.1.2-1
* upstream released new version

* Thu Sep 06 2007 Mike McGrath <mmcgrath@redhat.com> 2.11.0-1
- Upstream released new version
- Altered sources file as required
- Added proper license

* Mon Jul 23 2007 Mike McGrath <mmcgrath@redhat.com> 2.10.3-1
- Upstream released new version

* Sat Mar 10 2007 Mike McGrath <mmcgrath@redhat.com> 2.10.0.2-3
- Switched to the actual all-languages, not just utf-8

* Sun Mar 04 2007 Mike McGrath <mmcgrath@redhat.com> 2.10.0.2-1
- Upstream released new version

* Sat Jan 20 2007 Mike McGrath <imlinux@gmail.com> 2.9.2-1
- Upstream released new version

* Fri Dec 08 2006 Mike McGrath <imlinux@gmail.com> 2.9.1.1-2
- Fixed bug in spec file

* Fri Dec 08 2006 Mike McGrath <imlinux@gmail.com> 2.9.1.1-1
- Upstream released new version

* Wed Nov 15 2006 Mike McGrath <imlinux@gmail.com> 2.9.1-3alpha
- Added dist tag

* Wed Nov 15 2006 Mike McGrath <imlinux@gmail.com> 2.9.1-2alpha
- Fixed 215159

* Fri Nov 10 2006 Mike McGrath <imlinux@gmail.com> 2.9.1-1alpha
- Added alpha tag since this is a release candidate

* Tue Nov 07 2006 Mike McGrath <imlinux@gmail.com> 2.9.1-1
- Upstream released new version

* Wed Oct 04 2006 Mike McGrath <imlinux@gmail.com> 2.9.0.2-1
- Upstream released new version

* Thu Jul 06 2006 Mike McGrath <imlinux@gmail.com> 2.8.2-2
- Fixed a typo in the Apache config

* Mon Jul 03 2006 Mike McGrath <imlinux@gmail.com> 2.8.2-1
- Upstream released 2.8.2
- Added more restrictive directives to httpd/conf.d/phpMyAdmin.conf
- removed htaccess file from the libraries dir
- Specific versions for various requires

* Sat May 13 2006 Mike McGrath <imlinux@gmail.com> 2.8.0.4-1
- Upstream released 2.8.0.4
- Added requires php, instead of requires httpd, now using webserver

* Sun May 07 2006 Mike McGrath <imlinux@gmail.com> 2.8.0.3-2
- Added mysql-php and php-mbstring as a requires

* Thu Apr 07 2006 Mike McGrath <imlinux@gmail.com> 2.8.0.3-1
- Fixed XSS vulnerability: PMASA-2006-1
- It was possible to conduct an XSS attack with a direct call to some scripts
- under the themes directory.

* Tue Apr 04 2006 Mike McGrath <imlinux@gmail.com> 2.8.0.2-3
- Made config files actually configs
- Moved doc files to the doc dir

* Tue Apr 04 2006 Mike McGrath <imlinux@gmail.com> 2.8.0.2-2
- Moved everything to %{_datadir}
- Moved config file to /etc/
- Used description from phpMyAdmin project info

* Mon Apr 03 2006 Mike McGrath <imlinux@gmail.com> 2.8.0.2-1
- Initial Spec file creation for Fedora
